const { options } = require('less');
const request = require('request')

exports.httpReq = (ctx, opts) => {
  opts.timeout = opts.timeout || 1000
  return new Promise((resolve, reject) => {
    // var time_start = +new Date()
    // opts.qs = {...ctx.request.query, ...opts.qs};

    request(opts, (err, res, body) => {
      //console.info(`[Api] httpReq (${opts.url},${opts.headers && opts.headers.cookie}) spent: ${+new Date() - time_start}ms`)

      if (!err) {
        resolve(body)
      } else {
        reject(err)
        console.error(opts.url, err)
      }
    })
  })
}




// const axios = require('axios')


// const instance = axios.create({})

// exports.httpReq = (ctx, opts) => {
//   opts.timeout = opts.timeout || 1000
//   return new Promise((resolve, reject) => {
//     instance(opts).then((res) => {
//       console.log(res);
//       resolve(res.data);
//     }).catch(({response}) => {
//       // console.log(88888, response)
//       reject(response.data.message)
//     })
//   })
// }